// Code generated by mockery v2.14.0. DO NOT EDIT.

package rbac

import mock "github.com/stretchr/testify/mock"

// MockRole is an autogenerated mock type for the Role type
type MockRole struct {
	mock.Mock
}

// Name provides a mock function with given fields:
func (_m *MockRole) Name() string {
	ret := _m.Called()

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// Permissions provides a mock function with given fields:
func (_m *MockRole) Permissions() map[string]bool {
	ret := _m.Called()

	var r0 map[string]bool
	if rf, ok := ret.Get(0).(func() map[string]bool); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(map[string]bool)
		}
	}

	return r0
}

type mockConstructorTestingTNewMockRole interface {
	mock.TestingT
	Cleanup(func())
}

// NewMockRole creates a new instance of MockRole. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewMockRole(t mockConstructorTestingTNewMockRole) *MockRole {
	mock := &MockRole{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
